body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f4f4f4;
}
.menu-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    justify-items: center;
    margin-top: 20px;
    padding: 10px;
}
.menu-item {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    border-radius: 8px;
    overflow: hidden;
    width: 400px;
    height: 200px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}
.menu-item .text-box {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 30%;
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-weight: bold;
    font-size: 25px;
    text-align: center;
    padding: 10px;
    z-index: 10;
}
.menu-item a {
    color: white;
    text-decoration: none;
    font-size: 18px;
    font-weight: bold;
    position: relative;
    z-index: 2;
}
.menu-item:hover {
    transform: scale(1.05);
    transition: transform 0.3s ease;
}
.product-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    justify-items: center;
    margin-top: 20px;
    padding: 10px;
}
.product-item {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    border-radius: 8px;
    overflow: hidden;
    width: 400px;
    height: 200px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s ease;
}
.product-item:hover {
    transform: scale(1.05);
}
.product-item .text-box {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 30%;
    background-color: rgba(0, 0, 0, 0.6);
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    color: white;
    font-weight: bold;
    font-size: 12px;
    text-align: left;
    padding: 10px;
}
.product-item .text-box .product-title {
    margin: 0;
    font-size: 20px;
    font-weight: bold;
    text-align: center;
}
.product-item .text-box p {
    margin: 0;
    padding-right: 10px;
}
.product-item .text-box .price {
    margin-left: auto;
    font-size: 16px;
}
.product-link {
    text-decoration: none;
    display: block;
    color: inherit;
}
@media screen and (max-width: 1024px) {
    .menu-container {
        grid-template-columns: repeat(2, 1fr);
    }
    .product-container {
        grid-template-columns: repeat(2, 1fr);
    }
    .menu-item {
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        position: relative;
        border-radius: 8px;
        overflow: hidden;
        width: 160px;
        height: 160px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        transition: transform 0.3s ease;
    }
    .menu-item .text-box {
        font-size: 10px;
        height: 10%;
    }
    .product-item {
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        position: relative;
        border-radius: 8px;
        overflow: hidden;
        width: 160px;
        height: 160px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        transition: transform 0.3s ease;
    }
    .product-item .text-box {
        font-size: 11px;
        height: 40%;
    }
    .product-item .text-box .price {
        margin-left: auto;
        font-size: 13px;
    }
    .product-item .text-box .product-title {
        margin: 0;
        font-size: 15px;
        font-weight: bold;
        text-align: center;
    }
}